module Yardi
  module Model
    class Event
      attr_reader :remote_id, :type, :timestamp, :first_contact,
                  :transaction_source

      # timestamp is a string that does not include timezone, so we leave it to
      # the client to parse correctly.
      def initialize(remote_id:, type:, timestamp:, first_contact:, transaction_source:)
        @remote_id = remote_id
        @type = type
        @timestamp = timestamp
        @first_contact = first_contact
        @transaction_source = transaction_source
      end
    end
  end
end
