# This is the parameter used for prospect search in GetYardiGuestActivity. It
# should not be confused with the Parameter::User that is used for guestcard
# insertion in ImportYardiGuest.

module Yardi
  module Parameter
    class Prospect
      attr_reader :first_name, :last_name, :email, :phone, :yardi_prospect_id

      def initialize(
        first_name: nil,
        last_name: nil,
        email: nil,
        phone: nil,
        yardi_prospect_id: nil
      )
        @first_name = first_name
        @last_name = last_name
        @email = email
        @phone = phone
        @yardi_prospect_id = yardi_prospect_id
      end
    end
  end
end
