require 'yardi/request_section'

module Yardi
  module RequestSection
    # Generate the data needed for a GetResidents call
    class Residents
      attr_reader :property_id

      def initialize(property_id:)
        @property_id = property_id
      end

      def generate(xml_builder)
        xml_builder['itf'].YardiPropertyId property_id
      end
    end
  end
end
