require_relative 'base'

module Yardi
  module Error
    # Raised when a Yardi response contains a Fault node, which seems to happen
    # sometimes when we leave out a required node. Sometimes there is an XSD
    # check on their end, in which case a regular ErrorResponse will be raised,
    # but other times the whole system seems to fall over and we see a response
    # that looks like the example in the prospect_search/missing_node_error.xml
    # fixture.
    class FaultResponse < Base
    end
  end
end
