module Yardi
  module Parameter
    # Contains PMC-specific data for interfacing with Yardi's API.
    class Credential
      attr_reader :database, :password, :server, :username, :web_service_url

      def initialize(database:, password:, server:, username:, web_service_url:)
        @database = database
        @password = password
        @server = server
        @username = username
        @web_service_url = web_service_url
      end
    end
  end
end
